.svg-el {
  display: block;
  width: 100%;
  height: 100%;

  /deep/ {
    .line {
      fill: none;
      stroke: #20c997;
    }

    .sub-chart {
      width: 200px;
    }

    .tick {
      text {
        fill: #929292;
        font-family: Roboto;
        font-size: 12px;
      }
      line {
        stroke: #dddddd;
      }
    }

    .domain {
      stroke: #e1e2e3;
    }

    .y-axis .domain {
      fill: #fcfcfd;
    }
  }
}

.wrap {
  position: relative;
  height: 100%;
  width: 100%;
}

.x-legend {
  display: flex;
  position: absolute;
  width: 100%;
  height: 32px;
  padding-left: 21px;
  padding-right: 20px;
  border-top: 1px solid #e1e2e3;
  background: #fcfcfd;
}

.chart-legend {
  flex: 1 1 auto;
  width: 100%;
  height: 100%;
  border-right: 2px solid #e1e2e3;
  text-align: center;

  color: #666666;
  font-family: Roboto;
  font-size: 12px;
  font-weight: 500;
  line-height: 14px;

  display: flex;
  flex-direction: column;
  justify-content: center;

  cursor: pointer;

  &:first-child {
    border-left: 1px solid #e1e2e3;
  }

  &:last-child {
    border-right: 1px solid #e1e2e3;
  }

  .title {
    display: block;
    opacity: 0.7;
    height: 12px;
    margin-bottom: -4px;
  }

  .values {
    opacity: 0.7;
    display: flex;
    align-items: center;
    width: 100%;

    .min,
    .max {
      flex: 0 0 auto;
      padding: 0 5px;
    }

    .separator {
      display: block;

      flex: 1 1 auto;
      height: 1px;
      background: #b9bfc4;
    }
  }
}
